import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
import { toProductionEntryPattern } from '../../util/protocols.js';
export const NAME = 'Drizzle';
export const ENABLERS = ['drizzle-kit'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['drizzle.config.{ts,js,json}'];
const findDrizzleDependencies = async (configFilePath) => {
    const localConfig = await load(configFilePath);
    if (!localConfig?.schema)
        return [];
    return [localConfig.schema].flat().map(toProductionEntryPattern);
};
export const findDependencies = timerify(findDrizzleDependencies);
