import { timerify } from '../../util/Performance.js';
import { toEntryPattern } from '../../util/protocols.js';
export const NAME = 'Node.js Test Runner';
export const ENABLERS = [''];
export const isEnabled = ({ manifest }) => {
    return Object.keys(manifest.scripts ?? {})
        .filter(s => /test/.test(s))
        .some(s => manifest.scripts && /node (.*)--test/.test(manifest.scripts[s]));
};
export const ENTRY_FILE_PATTERNS = [
    '**/test.{js,cjs,mjs}',
    '**/test-*.{js,cjs,mjs}',
    '**/*{.,-,_}test.{js,cjs,mjs}',
    '**/test/**/*.{js,cjs,mjs}',
];
const findNodeTestRunnerDependencies = async (configFilePath, options) => {
    return (options.config?.entry ?? ENTRY_FILE_PATTERNS).map(toEntryPattern);
};
export const findDependencies = timerify(findNodeTestRunnerDependencies);
